Project

General

Profile

Actions

Regression #14698

closed

TLS Cert Warning Message Present on First Start

Added by Kris Phillips 8 months ago. Updated 6 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Upgrade
Target version:
Start date:
Due date:
% Done:

100%

Estimated time:
Plus Target Version:
23.09
Release Notes:
Force Exclusion
Affected Version:
Affected Architecture:

Description

On first boot of the Aug 18th 23.09 builds, the following notification is present immediately when prompted with the Setup Wizard:

The GUI HTTPS certificate used a deprecated algorithm and has been replaced with a secure default. @ 2023-08-19 22:02:01


Related issues

Has duplicate Bug #14699: Certificate alert is shown with a new installDuplicateJim Pingle

Actions
Actions #1

Updated by Jim Pingle 8 months ago

  • Tracker changed from Bug to Regression
  • Project changed from pfSense Plus to pfSense
  • Category changed from Web Interface to Web Interface
  • Assignee set to Jim Pingle
  • Target version set to 2.8.0
  • Release Notes changed from Default to Force Exclusion
  • Affected Plus Version deleted (23.09)
  • Plus Target Version set to 23.09
Actions #2

Updated by Jim Pingle 8 months ago

  • Has duplicate Bug #14699: Certificate alert is shown with a new install added
Actions #3

Updated by Jim Pingle 8 months ago

  • Status changed from New to Feedback
  • % Done changed from 0 to 100
Actions #4

Updated by Jim Pingle 8 months ago

  • Category changed from Web Interface to Upgrade

Ended up being an issue in the upgrade code, not the GUI or certs.

Actions #5

Updated by Chris W 8 months ago

  • Status changed from Feedback to Resolved

No certificate warning before or after the Wizard on first boot using build

23.09-DEVELOPMENT (amd64)
built on Sat Aug 26 04:50:14 UTC 2023
FreeBSD 14.0-ALPHA2

Marking as resolved.

Actions #6

Updated by Jim Pingle 6 months ago

  • Target version changed from 2.8.0 to 2.7.1
Actions

Also available in: Atom PDF